1. Cashier APIs
  • Introduction
  • Transaction Flow: PayIn
  • Transaction Flow: PayOut
  • Merchant Endpoint Setup
  • Cashier APIs
    • PayIn Transaction
      POST
    • PayOut Transaction
      POST
    • User Verification Endpoint (X-User-Authorization)
      POST
    • Webhook Endpoint
      POST
  • PSP Configuration
    • ForumPay Configuration (Crypto)
  • Schemas
    • Sample Schemas
      • Pet
      • Category
      • Tag
  1. Cashier APIs

User Verification Endpoint (X-User-Authorization)

Developing
POST
{Client Company Endpoint}/api/v1/mozarto/verify-user
Endpoint:
Method: POST
Url: {Client Company Endpoint}/api/v1/mozarto/verify-user
Description
This API is used to retrieve user details from the customer’s system, allowing Mozarto to verify the user.
The API requires a JWT token, provided by the "Merchant customer", to be passed in the request header as Authorization.
Additionally, the userId must be included in the request body to fetch the specific user’s details.
The API request is made to the customer's endpoint as defined in their documentation or provided by them.
The expected response structure, along with various possible HTTP status codes, is outlined in this documentation and may vary based on the result of the user verification process.
Note: This API endpoint must be configured and stored in the Mozarto Dashboard under the Admin Center → API Credentials section to enable proper integration.

Request

Path Params

Header Params

Body Params application/json

Example
{
    "userId": 1
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://backend.app.mozarto.io/api/v1/mozarto/verify-user' \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjIiLCJlbWFpbCI6ImRpZ2JpamF5ZGFzOTlAZ21haWwuY29tIiwiaWF0IjoxNzUwMTQ5MzY4LCJleHAiOjE3NTAyMzU3Njh9.fyuAuoUpjpdIrSwfec69GG-HFDmW4VZxzZPzngcyB_w' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data-raw '{
    "userId": 1
}'

Responses

🟢200Success
application/json
Body

Example
{
    "data": {
        "status": "Success",
        "message": "User Verified",
        "user": {
            "id": "120",
            "firstName": "Rohit ",
            "lastName": "Sharma",
            "birthDate": "22/01/1998",
            "gender": "Male",
            "email": "rohitsharma@gmail.com",
            "phone": "9908828696",
            "phoneCode": "91",
            "emailVerified": true,
            "phoneVerified": false,
            "userName": "digu01",
            "userType": "USER",
            "country": "India",
            "city": "Ahemedabad"
        }
    },
    "errors": []
}
🟠401Unauthorized
🟠400Bad Request
Modified at 2025-08-01 10:55:00
Previous
PayOut Transaction
Next
Webhook Endpoint
Built with